##
##  git-town.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_base  19.0.0
%define       V_snap  20250418

#   package information
Name:         git-town
Summary:      Git Branch Synchronization Commands
URL:          http://www.git-town.com/
Vendor:       Originate
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        SCM
License:      MIT
Version:      %{V_base}.%{V_snap}
Release:      20250418

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/git-town/git-town-%{V_snap}.tar.xz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, go
PreReq:       OpenPKG, openpkg >= 20160101, git

%description
    Git Town is a Git plugin. It adds Git commands that make
    collaborative software development more efficient and safe.

%track
    prog git-town:base = {
        version   = %{V_base}
        url       = https://github.com/git-town/git-town/releases
        regex     = tree/v(\d+\.\d+\.\d+)
    }
    prog git-town:snap = {
        version   = %{V_snap}
        url       = http://download.openpkg.org/components/versioned/git-town/
        regex     = git-town-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n git-town

%build
    #   build program
    export GOPATH=`pwd`
    cd $GOPATH/src/github.com/git-town/git-town
    go build -v .

%install
    #   create installation hierarchy
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/git

    #   install program
    %{l_shtool} install -c -s -m 755 \
        src/github.com/git-town/git-town/git-town \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/git/git-town

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

